﻿@model IEnumerable<ContactList.Models.Contact>
@{
    ViewBag.Title = "Home Page";
}

<script src="~/Scripts/angular.js"></script>
<script src="~/Scripts/angular.intellisense.js"></script>
<script src="~/Scripts/jquery-3.1.1.min.js"></script>
<script src="~/Scripts/angular.min.js"></script>
<link href="~/Content/bootstrap.css" rel="stylesheet" />
<link href="~/Content/bootstrap.min.css" rel="stylesheet" />
<script src="~/Scripts/angular-messages.js"></script>


<!-- Dodavanje novog kontakta-->
<div ng-app="myApp" ng-controller="myCntrl">
    <div ng-show="divContactDetails">
        </a><button type="button" value="Back to contacts" style="margin-bottom: 15px; margin-top: 15px;" class="btn btn-primary btn-lg" ng-click="BackToContacts()">Back to contacts</button>
        <div ng-show="contactFound">
            <!-- dodaj ako je kontakt pronaden-->            
            <div ng-show="contactDetailsModel.IsDeleted">
                <div class="row">
                    <div class="col-lg-6 col-lg-offset-4">
                        <h4> This contact is in temporary storage </h4>
                        <p></p>
                        <button class="btn btn-warning" ng-click="returnDetailsContact(contactDetailsModel.Id)" style="margin-left: 35px;"> Return</button>
                        <button class="btn btn-danger" ng-click="permanentDetailsDelete(contactDetailsModel.Id)" >Permanent Delete</button>
                    </div>
                </div>
            </div>
            <div>
                <button ng-show="!contactDetailsModel.IsDeleted" ng-click="DeleteDetailsContact(contactDetailsModel.Id)" class="btn btn-danger">Delete</button>
                <button class="btn btn-primary" ng-click="EditDetailsMode()">Edit</button>
            </div>
            <!-- Read/Edit-->
            <div class="row">
                <form name="editDetailsForm" ng-submit="submitForm()" novalidate>
                    <div class="row">
                        <div class="col-sm-6">
                            <div class="form-group" ng-class="{ 'has-error' : editDetailsForm.name.$invalid && !editDetailsForm.name.$pristine }">
                                <label>First name</label>
                                <input type="text" ng-readonly="DetailsReadOnly" name="name" ng-model="contactDetailsModel.FirstName" class="form-control" aria-describedby="firstnameMsg" placeholder="Enter first name" ng-minlength="3" ng-maxlength="20" required>
                                <small id="firstnameMsg" class="form-text text-muted">First name is required.</small>
                                <p ng-show="editDetailsForm.name.$invalid && !editDetailsForm.name.$pristine" class="help-block">Your name is required.</p>
                                <p ng-show="editDetailsForm.name.$error.minlength" class="help-block">Your name is too short.</p>
                                <p ng-show="editDetailsForm.name.$error.maxlength" class="help-block">Your name is too long.</p>
                            </div>
                            <div class="form-group" ng-class="{ 'has-error' : editDetailsForm.lastname.$invalid && !editDetailsForm.lastname.$pristine }">
                                <label for="exampleInputEmail1">Last name</label>
                                <input type="text" ng-readonly="DetailsReadOnly" ng-model="contactDetailsModel.LastName" class="form-control" id="firstname" name="lastname" aria-describedby="lastnameMsg" placeholder="Enter last name" ng-minlength="3" ng-maxlength="20" required>
                                <small id="lastnameMsg" class="form-text text-muted">Last name is required.</small>
                                <p ng-show="editDetailsForm.lastname.$invalid && !editDetailsForm.lastname.$pristine" class="help-block">Your last name is required.</p>
                                <p ng-show="editDetailsForm.lastname.$error.minlength" class="help-block">Your last name is too short.</p>
                                <p ng-show="editDetailsForm.lastname.$error.maxlength" class="help-block">Your last name is too long.</p>
                            </div>
                            <div class="form-group">
                                <label>City</label>
                                <input type="text" ng-readonly="DetailsReadOnly" ng-model="contactDetailsModel.City" class="form-control" id="city" placeholder="City">
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">Address</label>
                                <input type="text" ng-readonly="DetailsReadOnly" ng-model="contactDetailsModel.Address" class="form-control" id="address" placeholder="Address">
                            </div>
                            <form class="form-inline">
                                <label class="custom-control custom-checkbox mb-2 mr-sm-2 mb-sm-0">
                                    <span ng-readonly="DetailsReadOnly" class="custom-control-description">Bookmark contact  </span>
                                    <input type="checkbox" ng-disabled="DetailsReadOnly"  ng-model="contactDetailsModel.IsBookmarked" class="custom-control-input">
                                    <span class="custom-control-indicator"></span>
                                </label>
                            </form>

                        </div>
                        <div class="col-sm-6">
                            <label for="exampleInputEmail1">Phone</label>
                            <div ng-repeat="x in contactDetailsModel.Numbers">
                                <ng-form name="editNumbersForm" ng-submit="submitForm()" novalidate>
                                    <div class="form-group" ng-class="{ 'has-error' : editNumbersForm.addedPhone.$invalid && !editNumbersForm.addedPhone.$pristine }">
                                        <input type="text" ng-readonly="DetailsReadOnly" class="form-control" ng-model="x.Number" id="numbers" aria-describedby="numbersMsg" name="addedPhone" ng-pattern="phoneNumbr" placeholder="Enter number">
                                        <span ng-show="editNumbersForm.addedPhone.$error.minlength" class="help-block">Phone no not less that 10 char.</span>
                                        <span ng-show="editNumbersForm.addedPhone.$error.maxlength" class="help-block">Phone no not more than 11 char.</span>
                                        <span ng-show="editNumbersForm.addedPhone.$error.pattern" class="help-block">Enter a valid phone number</span>
                                        <button ng-hide="DetailsReadOnly" ng-click="DetailsdelNum(x)"> Delete </button>

                                    </div>
                                </ng-form>
                            </div>

                            <ng-form name="editDetailsAddNumbersForm" ng-submit="submitForm()" novalidate>
                                <div class="form-group" ng-class="{ 'has-error' : editDetailsAddNumbersForm.addedPhone.$invalid && !editDetailsAddNumbersForm.addedPhone.$pristine }">
                                    <input ng-hide="DetailsReadOnly" type="text" ng-readonly="DetailsReadOnly" ng-model="DetailsnumToAdd" class="form-control" placeholder="Add new contact" name="addedPhone" ng-pattern="phoneNumbr" />
                                    <span ng-show="editDetailsAddNumbersForm.addedPhone.$error.minlength" class="help-block">Phone no not less that 10 char.</span>
                                    <span ng-show="editDetailsAddNumbersForm.addedPhone.$error.maxlength" class="help-block">Phone no not more than 11 char.</span>
                                    <span ng-show="editDetailsAddNumbersForm.addedPhone.$error.pattern" class="help-block">Enter a valid phone number</span>
                                    <button ng-hide="DetailsReadOnly" ng-click="DetailsAddNewNum(contactDetailsModel.Id)"> Add </button>
                                </div>
                            </ng-form>


                            <label for="exampleInputEmail1">Mail</label>
                            <div ng-repeat="x in contactDetailsModel.Emails">
                                <ng-form name="editDetailsEmailsForm">
                                    <div class="form-group" ng-class="{ 'has-error' : editDetailsEmailsForm.email.$invalid && !editDetailsEmailsForm.email.$pristine }">
                                        <input type="email" ng-readonly="DetailsReadOnly" ng-model="x.EmailAddress" name="email" class="form-control" id="numbers" aria-describedby="mailsMsg" placeholder="Enter email">
                                        <p ng-show="editDetailsEmailsForm.email.$invalid && !editDetailsEmailsForm.email.$pristine" class="help-block">Enter a valid email.</p>
                                        <button ng-hide="DetailsReadOnly" ng-click="DetailsdelMail(x)"> Delete </button>
                                    </div>
                                </ng-form>
                            </div>

                            <ng-form name="editDetailsAddEmailsForm" ng-submit="submitForm()" novalidate>
                                <div class="form-group" ng-class="{ 'has-error' : editDetailsAddEmailsForm.email.$invalid && !editDetailsAddEmailsForm.email.$pristine }">
                                    <input ng-hide="DetailsReadOnly" type="email" name="email" class="form-control" ng-model="DetailsaddMail" placeholder="Add new email" />
                                    <p ng-show="editDetailsAddEmailsForm.email.$invalid && !editDetailsAddEmailsForm.email.$pristine" class="help-block">Enter a valid email.</p>
                                    <button ng-hide="DetailsReadOnly" ng-click="DetailsAddNewMail(contactDetailsModel.Id)"> Add </button>
                                </div>
                            </ng-form>


                            <label for="exampleInputEmail1">Tags</label>

                            <div class="form-group" ng-repeat="x in contactDetailsModel.Tags">
                                <input type="text" ng-readonly="DetailsReadOnly" ng-model="x.TagName" class="form-control" id="tags" aria-describedby="tagMsg" placeholder="Enter tag">
                                <button ng-hide="DetailsReadOnly" ng-click="DetailsdelTag(x)"> Delete </button>
                            </div>
                            <input type="text" ng-hide="DetailsReadOnly" ng-model="DetailsaddTag" class="form-control" placeholder="Add new Tag" />
                            <button ng-hide="DetailsReadOnly" ng-click="DetailsAddNewTag(contactDetailsModel.Id)"> Add </button>
                            <div>


                            </div>


                        </div>
                    </div>
                    <div class="modal-footer" ng-hide="DetailsReadOnly">
                        <button type="button" class="btn btn-default" data-dismiss="modal" ng-click="CancelDetailsEdit(contactDetailsModel.Id)">Cancel</button>
                        <button type="button" ng-click="UpdateDetailsContact(contactDetailsModel.Id)" ng-disabled="editDetailsForm.$invalid" class="btn btn-primary">Save changes</button>
                    </div>

                </form>

            </div>

        </div>




        <div ng-show="contactNotFound">
            <div class="row">
                <div class="col-lg-12">
                    <p></p>
                    <h2 style="text-align: center"> Contact is no longer avaible !! </h2>
                </div>
            </div>
        </div>

    </div>


    <div ng-show="divContactStart">

        <button type="button" ng-click="AddContactDiv()" style="margin-bottom: 15px; margin-top: 15px;" class="btn btn-primary">Add new contact</button>

        <div ng-show="divContact">
            <p></p>
            <p> <h4>Add contact: </h4> </p>
            <p></p>
            <form name="userForm" ng-submit="submitForm()" novalidate>
                <div class="row">


                    <div class="col-sm-6">
                        <div class="form-group" ng-class="{ 'has-error' : userForm.name.$invalid && !userForm.name.$pristine }">
                            <label>First name</label>
                            <input type="text" name="name" ng-model="dataModel.FirstName" class="form-control" aria-describedby="firstnameMsg" placeholder="Enter first name" ng-minlength="3" ng-maxlength="20" required>
                            <small id="firstnameMsg" class="form-text text-muted">First name is required.</small>

                            <p ng-show="userForm.name.$invalid && !userForm.name.$pristine" class="help-block">Your name is required.</p>
                            <p ng-show="userForm.name.$error.minlength" class="help-block">Your name is too short.</p>
                            <p ng-show="userForm.name.$error.maxlength" class="help-block">Your name is too long.</p>
                        </div>
                        <div class="form-group" ng-class="{ 'has-error' : userForm.lastname.$invalid && !userForm.lastname.$pristine }">
                            <label for="exampleInputEmail1">Last name</label>
                            <input type="text" ng-model="dataModel.LastName" class="form-control" id="lastname" name="lastname" aria-describedby="lastnameMsg" placeholder="Enter last name" ng-minlength="3" ng-maxlength="20" required>
                            <small id="lastnameMsg" class="form-text text-muted">Last name is required.</small>
                            <p ng-show="userForm.lastname.$invalid && !userForm.lastname.$pristine" class="help-block">Your last name is required.</p>
                            <p ng-show="userForm.lastname.$error.minlength" class="help-block">Your last name is too short.</p>
                            <p ng-show="userForm.lastname.$error.maxlength" class="help-block">Your last name is too long.</p>
                        </div>
                        <div class="form-group">
                            <label for="exampleInputEmail1">City</label>
                            <input type="text" ng-model="dataModel.City" class="form-control" id="city" placeholder="City">
                        </div>
                        <div class="form-group">
                            <label for="exampleInputEmail1">Address</label>
                            <input type="text" ng-model="dataModel.Address" class="form-control" id="address" placeholder="Address">
                        </div>
                        <form class="form-inline">
                            <label class="custom-control custom-checkbox mb-2 mr-sm-2 mb-sm-0">
                                <span class="custom-control-description">Bookmark contact</span>
                                <input type="checkbox" ng-model="dataModel.IsBookmarked" class="custom-control-input">
                                <span class="custom-control-indicator"></span>
                            </label>
                        </form>

                    </div>
                    <div class="col-sm-6">
                        <label for="exampleInputEmail">Phone</label>
                        <div ng-repeat="x in dataModel.Numbers">
                            <ng-form name="addedNum" ng-submit="submitForm()" novalidate>
                                <div class="form-group" ng-class="{ 'has-error' : addedNum.addedPhone.$invalid && !addedNum.addedPhone.$pristine }">
                                    <input type="text" class="form-control" ng-model="x" id="numbers" aria-describedby="numbersMsg" ng-pattern="phoneNumbr" name="addedPhone" placeholder="Enter number">
                                    <span ng-show="addedNum.addedPhone.$error.minlength" class="help-block">Phone no not less that 10 char.</span>
                                    <span ng-show="addedNum.addedPhone.$error.maxlength" class="help-block">Phone no not more than 11 char.</span>
                                    <span ng-show="addedNum.addedPhone.$error.pattern" class="help-block">Enter a valid phone number</span>

                                    <button ng-click="delNum(x)"> Delete </button>
                                </div>
                            </ng-form>
                        </div>
                        <ng-form name="addNum" ng-submit="submitForm()" novalidate>
                            <div class="form-group" ng-class="{ 'has-error' : addNum.phoneNum.$invalid && !addNum.phoneNum.$pristine }">
                                <input type="text" ng-model="numToAdd" class="form-control" name="phoneNum" ng-pattern="phoneNumbr" placeholder="Add new number" />
                                <span ng-show="addNum.phoneNum.$error.minlength" class="help-block">Phone no not less that 10 char.</span>
                                <span ng-show="addNum.phoneNum.$error.maxlength" class="help-block">Phone no not more than 11 char.</span>
                                <span ng-show="addNum.phoneNum.$error.pattern" class="help-block">Enter a valid phone number</span>
                                <button type="submit" ng-click="AddNewNum()"> Add </button>
                            </div>
                        </ng-form>


                        <label>Mail</label>
                        <div ng-repeat="x in dataModel.Emails">
                            <ng-form name="MailForm" novalidate>
                                <div class="form-group" ng-class="{ 'has-error' : MailForm.email.$invalid && !MailForm.email.$pristine }">

                                    <input type="email" ng-model="x" class="form-control" id="numbers" name="email" aria-describedby="mailsMsg" placeholder="Enter email">
                                    <p ng-show="MailForm.email.$invalid && !MailForm.email.$pristine" class="help-block">Enter a valid email.</p>
                                    <button ng-click="delMail(x)"> Delete </button>
                                </div>
                            </ng-form>
                        </div>

                        <ng-form name="MailFormAdd" ng-submit="submitForm()" novalidate>
                            <div class="form-group" ng-class="{ 'has-error' : MailFormAdd.email.$invalid && !MailFormAdd.email.$pristine }">
                                <input type="email" name="email" class="form-control" ng-model="addMail" placeholder="Add new email" />
                                <p ng-show="MailFormAdd.email.$invalid && !userForm.email.$pristine" class="help-block">Enter a valid email.</p>

                                <button type="submit" ng-disabled="MailFormAdd.$invalid" ng-click="AddNewMail()"> Add </button>
                            </div>
                        </ng-form>


                        <label for="exampleInputEmail">Tags</label>

                        <div class="form-group" ng-repeat="x in dataModel.Tags">
                            <input type="text" ng-model="x" class="form-control" id="tags" aria-describedby="tagMsg" placeholder="Enter tag">
                            <button ng-click="delTag(x)"> Delete </button>
                        </div>

                        <div>
                            <input type="text" ng-model="addTag" class="form-control" placeholder="Add new Tag" />
                            <button ng-click="AddNewTag()"> Add </button>
                        </div>


                    </div>
                </div>


                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal" ng-click="Cancel()">Cancel</button>
                    <button type="submit" ng-click="AddContact()" class="btn btn-primary" ng-disabled="userForm.$invalid">Save changes</button>
                </div>
            </form>

            <!---->



        </div>

        <!-- Edit div-->
        <div ng-show="editDivShow">
            <form name="editForm" ng-submit="submitForm()" novalidate>
                <div class="row">
                    <div class="col-sm-6">
                        <div class="form-group" ng-class="{ 'has-error' : editForm.name.$invalid && !editForm.name.$pristine }">
                            <label>First name</label>
                            <input type="text" name="name" ng-model="editContact.FirstName" class="form-control" aria-describedby="firstnameMsg" placeholder="Enter first name" ng-minlength="3" ng-maxlength="20" required>
                            <small id="firstnameMsg" class="form-text text-muted">First name is required.</small>
                            <p ng-show="editForm.name.$invalid && !editForm.name.$pristine" class="help-block">Your name is required.</p>
                            <p ng-show="editForm.name.$error.minlength" class="help-block">Your name is too short.</p>
                            <p ng-show="editForm.name.$error.maxlength" class="help-block">Your name is too long.</p>
                        </div>
                        <div class="form-group" ng-class="{ 'has-error' : editForm.lastname.$invalid && !editForm.lastname.$pristine }">
                            <label for="exampleInputEmail1">Last name</label>
                            <input type="text" ng-model="editContact.LastName" class="form-control" id="firstname" name="lastname" aria-describedby="lastnameMsg" placeholder="Enter last name" ng-minlength="3" ng-maxlength="20" required>
                            <small id="lastnameMsg" class="form-text text-muted">Last name is required.</small>
                            <p ng-show="editForm.lastname.$invalid && !editForm.lastname.$pristine" class="help-block">Your last name is required.</p>
                            <p ng-show="editForm.lastname.$error.minlength" class="help-block">Your last name is too short.</p>
                            <p ng-show="editForm.lastname.$error.maxlength" class="help-block">Your last name is too long.</p>
                        </div>
                        <div class="form-group">
                            <label>City</label>
                            <input type="text" ng-model="editContact.City" class="form-control" id="city" placeholder="City">
                        </div>
                        <div class="form-group">
                            <label for="exampleInputEmail1">Address</label>
                            <input type="text" ng-model="editContact.Address" class="form-control" id="address" placeholder="Address">
                        </div>
                        <form class="form-inline">
                            <label class="custom-control custom-checkbox mb-2 mr-sm-2 mb-sm-0">
                                <span class="custom-control-description">Bookmark contact  </span>
                                <input type="checkbox" ng-model="editContact.IsBookmarked" class="custom-control-input">
                                <span class="custom-control-indicator"></span>
                            </label>
                        </form>

                    </div>
                    <div class="col-sm-6">
                        <label for="exampleInputEmail1">Phone</label>
                        <div ng-repeat="x in editContact.Numbers">
                            <ng-form name="editNumbersForm" ng-submit="submitForm()" novalidate>
                                <div class="form-group" ng-class="{ 'has-error' : editNumbersForm.addedPhone.$invalid && !editNumbersForm.addedPhone.$pristine }">
                                    <input type="text" class="form-control" ng-model="x.Number" id="numbers" aria-describedby="numbersMsg" name="addedPhone" ng-pattern="phoneNumbr" placeholder="Enter number">
                                    <span ng-show="editNumbersForm.addedPhone.$error.minlength" class="help-block">Phone no not less that 10 char.</span>
                                    <span ng-show="editNumbersForm.addedPhone.$error.maxlength" class="help-block">Phone no not more than 11 char.</span>
                                    <span ng-show="editNumbersForm.addedPhone.$error.pattern" class="help-block">Enter a valid phone number</span>
                                    <button ng-click="deleteExistingNumber(x)"> Delete </button>

                                </div>
                            </ng-form>
                        </div>

                        <ng-form name="editAddNumbersForm" ng-submit="submitForm()" novalidate>
                            <div class="form-group" ng-class="{ 'has-error' : editAddNumbersForm.addedPhone.$invalid && !editAddNumbersForm.addedPhone.$pristine }">
                                <input type="text" ng-model="addNewNum" class="form-control" placeholder="Add new contact" name="addedPhone" ng-pattern="phoneNumbr" />
                                <span ng-show="editAddNumbersForm.addedPhone.$error.minlength" class="help-block">Phone no not less that 10 char.</span>
                                <span ng-show="editAddNumbersForm.addedPhone.$error.maxlength" class="help-block">Phone no not more than 11 char.</span>
                                <span ng-show="editAddNumbersForm.addedPhone.$error.pattern" class="help-block">Enter a valid phone number</span>
                                <button ng-click="AddNewNumberToContact(editContact.Id)"> Add </button>
                            </div>
                        </ng-form>


                        <label for="exampleInputEmail1">Mail</label>
                        <div ng-repeat="x in editContact.Emails">
                            <ng-form name="editEmailsForm">
                                <div class="form-group" ng-class="{ 'has-error' : editEmailsForm.email.$invalid && !editEmailsForm.email.$pristine }">
                                    <input type="email" ng-model="x.EmailAddress" name="email" class="form-control" id="numbers" aria-describedby="mailsMsg" placeholder="Enter email">
                                    <p ng-show="editEmailsForm.email.$invalid && !editEmailsForm.email.$pristine" class="help-block">Enter a valid email.</p>
                                    <button ng-click="deleteExistingMail(x)"> Delete </button>
                                </div>
                            </ng-form>
                        </div>

                        <ng-form name="editAddEmailsForm" ng-submit="submitForm()" novalidate>
                            <div class="form-group" ng-class="{ 'has-error' : editAddEmailsForm.email.$invalid && !editAddEmailsForm.email.$pristine }">
                                <input type="email" name="email" class="form-control" ng-model="addNewMail" placeholder="Add new email" />
                                <p ng-show="editAddEmailsForm.email.$invalid && !editAddEmailsForm.email.$pristine" class="help-block">Enter a valid email.</p>
                                <button ng-click="AddNewEmailToContact(editContact.Id)"> Add </button>
                            </div>
                        </ng-form>


                        <label for="exampleInputEmail1">Tags</label>

                        <div class="form-group" ng-repeat="x in editContact.Tags">
                            <input type="text" ng-model="x.TagName" class="form-control" id="tags" aria-describedby="tagMsg" placeholder="Enter tag">
                            <button ng-click="deleteExistingTag(x)"> Delete </button>
                        </div>
                        <input type="text" ng-model="addNewTag" class="form-control" placeholder="Add new Tag" />
                        <button ng-click="AddNewTagToContact(editContact.Id)"> Add </button>
                        <div>


                        </div>


                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal" ng-click="CancelEdit()">Cancel</button>
                    <button type="button" ng-click="UpdateContact()" ng-disabled="editForm.$invalid" class="btn btn-primary">Save changes</button>
                </div>

            </form>
        </div>
        
        
        <div class="row">
            <div class="col-md-12">
                <div class="panel with-nav-tabs panel-default">
                    <div class="panel-heading">
                        <ul class="nav nav-tabs">
                            <li class="active"><a href="#tab1default" data-toggle="tab">All Contacts</a></li>
                            <li><a href="#tab2default" data-toggle="tab"> Favorites  </a></li>

                        </ul>
                    </div>
                    <div class="panel-body">
                        <div class="tab-content">
                            <div class="tab-pane fade in active" id="tab1default">
                                <table class="table table-bordered table-condensed">
                                    <tr>
                                        <td>
                                            <div class="col-lg-4">
                                                <div class="input-group">
                                                    <input type="text" ng-model="filterValue" ng-change="getFilteredContacts()" class="form-control" placeholder="Search for...">
                                                    <span class="input-group-btn">
                                                        <button class="btn btn-default" ng-click="clearSearch()" type="button"> Clear </button>
                                                    </span>
                                                </div>
                                            </div>

                                        </td>

                                    </tr>
                                </table>
                                <table class="table table-bordered table-condensed table-striped">
                                    <thead>
                                        <tr>
                                            <th>Contact</th>
                                            <th>Info</th>
                                            <th>Tags</th>
                                            <th>Numbers</th>
                                            <th>Emails</th>
                                            <th></th>
                                            <th></th>
                                            
                                            <th></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr ng-repeat="contact in Kontakti">
                                            <td> <a href="/#contact/{{contact.Id}}"> <h3 ng-click="showDetails(contact.Id)">{{contact.FirstName}}  {{contact.LastName}}</h3> </a> </td>
                                            <td>    <h4>{{contact.City}}</h4> <p> {{contact.Address}}</p></td>
                                            <td><p><span ng-repeat="tag in contact.Tags"> <b> #{{ tag.TagName}} </b></span></p></td>
                                            <td><p ng-repeat="number in contact.PhoneNumbers"> <span class="glyphicon glyphicon-earphone"> <b>{{ number.Number}} </b></span></p></td>
                                            <td><p ng-repeat="mail in contact.Emails"> <span class="glyphicon glyphicon-envelope"> <b>{{ mail.EmailAddress}}</b></span></p></td>                                            
                                            <td><input type="button" value="Edit" data-toggle="modal" class="btn btn-primary" ng-click="getContactById(contact.Id)" /></td>
                                            <!--<td> <a href="/#contact/{{contact.Id}}"> Click me !! </a></td> -->
                                            <td> <input type="button" value="Delete" class="btn btn-danger" ng-click="DeleteContact(contact.Id)" />  </td>
                                            <td> <input type="checkbox" name="bookmark" ng-checked="contact.IsBookmarked" ng-click="changeBookmark(contact.Id)" /> </td>

                                        </tr>
                                    </tbody>
                                </table>


                            </div>

                            <!-- Tab za favorites -->
                            <div class="tab-pane fade" id="tab2default">
                                <table class="table table-bordered table-condensed table-striped">
                                    <thead>
                                        <tr>
                                            <th>Contact</th>
                                            <th>Info</th>
                                            <th>Tags</th>
                                            <th>Numbers</th>
                                            <th>Emails</th>
                                            <th></th>
                                            <th></th>
                                            
                                            <th></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr ng-repeat="contact in BookmarkedContacts">
                                            <td> <a href="/#contact/{{contact.Id}}">   <h3>{{contact.FirstName}}  {{contact.LastName}}</h3> </a> </td>
                                            <td> <h4>{{contact.City}}</h4> <p> {{contact.Address}}</p></td>
                                            <td><p><span ng-repeat="tag in contact.Tags"> <b> #{{ tag.TagName}} </b></span></p></td>
                                            <td><p ng-repeat="number in contact.PhoneNumbers"> <span class="glyphicon glyphicon-earphone"> <b>{{ number.Number}} </b></span></p></td>
                                            <td><p ng-repeat="mail in contact.Emails"> <span class="glyphicon glyphicon-envelope"> <b>{{ mail.EmailAddress}}</b></span></p></td>
                                            
                                            <td><input type="button" value="Edit" data-toggle="modal" class="btn btn-primary" ng-click="getContactById(contact.Id)" /></td>
                                            <td> <input type="button" value="Delete" class="btn btn-danger" ng-click="DeleteContact(contact.Id)" />  </td>
                                            <td> <input type="checkbox" name="bookmark" ng-checked="contact.IsBookmarked" ng-click="changeBookmark(contact.Id)" /> </td>

                                        </tr>
                                    </tbody>
                                </table>


                            </div>

                        </div>
                    </div>
                </div>
            </div>

        </div>

        <button type="button" ng-click="ReturnDeletedContacts()" class="btn btn-info"> Return contact </button>
        <div ng-show="getDeletedDiv">
            <div class="row">
                <div class="col-sm-5 col-sm-offset-3">
                    <p></p>
                    <h4>Deleted contacts: </h4>
                    <p></p>
                    <table class="table table-striped">
                        <tr ng-repeat="lost in lostContacts">
                            <td> <h4>{{lost.FirstName}}  {{lost.LastName}} </h4>  </td>
                            <td><button type="button" ng-click="returnContact(lost.Id)" class="btn btn-warning"> Return </button></td>
                            <td><button type="button" ng-click="permanentDelete(lost.Id)" class="btn btn-danger"> Delete </button></td>
                        </tr>
                    </table>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default" data-dismiss="modal" ng-click="CloseLost()">Close</button>
                    </div>
                </div>
            </div>
        </div>

    </div>

</div>



<script src="~/Angular/ContactListScript.js"></script>